### v0.22.5
- Revised music behaviour
  - Fluidsynth is the default midi player
  - Added default soundfont configuration
  - SDL is no longer available as a midi player
  - Fall back on SDL mixer for uncommon formats
    - E.g., FLAC now works while fluidsynth is selected
- Reexamine weapon autoswitch in cl9+
  - Fixed a bug where a weapon would swap multiple times
  - Added option to disable preemptive swap when running out of ammo
- Fixed demo playback warp consistency
- Fixed demo playback skipping for hexen

### v0.22.4
- Improve exit sequence demo recording priority
- Removed statdump (obsolete and not maintained)
- Fixed an issue with casual format demo playback (only affected playback)

### v0.22.3
- Added parallel sfx settings
- Removed -loadgame / -recordfrom
- Fixed heretic playback desync with user pause
- Fixed music change stutter with portmidi (pr+)

### v0.22.2
- Added extended demo format for playtesting
- Added option to allow jumping (doom / heretic)
- Added solo net and coop spawns to analysis output
- Make next level key close the loop for umapinfo maps with endpic (pr+)
- Fixed interpolation during slow-motion
- Fixed consistency of rendering with alternate game speed
- Fixed mouse leaving during intermission screens
- Fixed uninitialized stair crush effect

### v0.22.1
- Fixed windows launcher crash

### v0.22.0

#### Doom in Hexen
- Added partial support for the doom-in-hexen map format.
  - This is a "first pass" that implements all the essentials and some fun low-hanging fruit
  - You must use complevel 21 when playing this format
  - Only works for doom (not heretic / hexen)
  - This is going to evolve over time - consider it experimental
- What is supported?
  - All the new line triggers and flags (block everything, player bump trigger, etc)
  - Most of the new thing spawn flags (friendly, invisible, dormant)
  - Most of the simple specials (sector gravity, floor ripples, force fields, noise alerts, various movers and builders)
- What is not supported?
  - Anything involving another wad lump (ACS, MAPINFO, SNDINFO, SNDSEQ, ANIMDEFS, DECORATE)
  - Anything involving thing tags, poly objects, slopes, portals, and 3D.
  - Anything involving progression (exits for specific maps or starting points)
- [Full details](../docs/doom_in_hexen.md)

#### Miscellaneous
- Revised quicksave system
- Rearranged general settings
- Rearranged key bind settings
- Added death use action option
- Added quickstart cache option
- Added sfx toggle key binding
- Added music toggle key binding
- Added cheat code entry toggle option and key binding
- Added custom_resolution config setting (add a resolution to in-game choices)
- Added widescreen low-resolution options
- Added automatic rewind timeout
- Extended HUD adapts kill count for respawn
- Added notarget binding
- The map reveal cheats can now be repeated by repeating the final character (`iddtt`).
- Added `iddst` cheat code: cycle remaining secrets on automap (repeat the final `t`).
- Added `iddkt` cheat code: cycle remaining kill-counted things on automap (repeat the final `t`).
- Added `iddit` cheat code: cycle remaining item-counted things on automap (repeat the final `t`).
- Adjust fps limiter and interpolation behaviour
- Map restart works on the intermission screen
- Automatically apply some comp fixes when using mbf21 with non-mbf21 wads
- Replace default save name automatically (fabian)
- Added separate automap color for revealed secrets (jackrjli)
- Updated mbf21 spec to v1.4
- Removed server / client code
- Don't error out when iwad tag is missing (pr+)

#### Fixes
- Fixed demo playback dehacked max health issue
- Fixed missing notification sound for doom 1
- Fixed restarting a cheat code in the middle not working
- Fixed hexen texture clipping bug (software renderer)
- Fixed hexen class resetting in between sessions
- Fixed hexen map archive storage
- Fixed morph counting in ex hud
- Fixed handling of temp files
- Fixed music crash on map 36+
- Fixed load showing wrong selected artifact
- Fixed slow startup with -nodraw in software mode
- Fixed rare issue with mouse / joy bindings
- Fixed some issues with demo playback warp / skipsec
- Fixed rare signal 22 affecting some users
- Fixed raven sound crash in some builds
- Fixed pain palette disabling for chex (fabian)
- Fixed iddqd revive effect in raven games (fabian)
- Fixed compilation issue in some operating systems (PBeGood4)
- Fixed start menu freeze (pr+)
- Fixed various UMAPINFO issues (pr+)
- Fixed issue with some skies in some FOVs (pr+)
